barra-de-navegacao {
  display: block;
  width: 100%;
}

barra-de-navegacao .barra-navegacao-wrapper {
  z-index: 1000;
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
}

barra-de-navegacao .barra-verde-topo {
  height: 10px;
  background-color: var(--cor-primaria);
  width: 100%;
}

barra-de-navegacao .navbar-principal {
  height: 65px;
  background-color: var(--cor-texto-claro);
  box-shadow: 0 2px 4px var(--cor-sombra);
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

barra-de-navegacao .navbar-container {
  padding: 0 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
}

barra-de-navegacao .navbar-logo {
  display: block;
}

barra-de-navegacao .navbar-logo img {
  height: 50px;
}

barra-de-navegacao .barra-pesquisa-container {
  min-width: 50%;
}

barra-de-navegacao .icones-nav {
  margin: auto;
  display: flex;
  align-items: center;
}

barra-de-navegacao .icone-nav {
  margin: 0 4px;
  cursor: pointer;
  color: var(--cor-primaria);
  font-size: 25px;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3px;
  background: none;
  border: none;
}

barra-de-navegacao .indicador-carrinho {
  position: absolute;
  top: -8px;
  right: -8px;
  background-color: #e74c3c;
  color: white;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  font-weight: bold;
}

barra-de-navegacao #btn-carrinho {
  position: relative;
}

barra-de-navegacao .indicador-carrinho {
  position: absolute;
  top: -8px;
  right: -10px;
  background-color: #ff4444;
  color: white;
  border-radius: 50%;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  min-height: 10px;
  height: fit-content;
  min-width: 22px;
  width: fit-content;
  padding: 4px;
}

barra-de-navegacao .btn-carrinho {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

barra-de-navegacao .campo-pesquisa {
  background-color: var(--cor-fundo-claro);
  width: 100%;
  border-radius: 4px;
  border: 1px solid var(--cor-borda);
  font-size: 1rem;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 5px;
  padding-block: 2px;
  padding-inline: 5px;
}

barra-de-navegacao .campo-pesquisa:focus-within {
  border: 2px solid var(--cor-primaria);
}

barra-de-navegacao .campo-pesquisa-icone.bi {
  -webkit-text-stroke: 1px var(--cor-borda);
}

barra-de-navegacao .campo-pesquisa input {
  background-color: var(--cor-fundo-claro);
  border: none;
  font-size: 1rem;
  width: 100%;
  outline: none;
}

barra-de-navegacao input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px #f4f4f4 inset;
}

barra-de-navegacao #collapse-pesquisa.show {
  display: block;
  animation: slideFromTop 0.5s ease-out forwards;
  position: fixed;
  z-index: 1;
}

barra-de-navegacao #collapse-pesquisa.hide {
  display: block;
  animation: slideToTop 0.5s ease-out forwards;
}

barra-de-navegacao .collapse-pesquisa {
  background-color: var(--cor-primaria);
  padding: 8px;
  width: 100%;
  display: none;
  position: absolute;
  top: 75px;
  left: 0;
}

barra-de-navegacao .nav-link-customizado {
  color: var(--cor-primaria);
  font-weight: bold;
  cursor: pointer;
  text-decoration: none;
}

barra-de-navegacao .nav-link-customizado:hover {
  text-decoration: underline;
}

barra-de-navegacao #menu-usuario-desktop {
  position: absolute;
  right: -8px;
  top: 45px;
  font-size: 15px;
  min-width: 13.2rem;
}

barra-de-navegacao .dropdown-menu {
  display: none;
  position: absolute;
  right: 10px;
  top: 70px;
  background-color: var(--cor-texto-claro);
  border: 1px solid var(--cor-sombra-escura);
  border-radius: 0.375rem;
  min-width: 10rem;
  z-index: 1000;
  list-style: none;
  padding-block: 10px;
}

barra-de-navegacao .dropdown-menu.show {
  display: block;
}

barra-de-navegacao .dropdown-header {
  display: block;
  padding-inline: 16px;
  padding-bottom: 10px;
  margin-bottom: 0;
  font-size: 1rem;
  color: var(--cor-primaria);
  border-bottom: 1px solid var(--cor-sombra-escura);
  width: 100%;
}

barra-de-navegacao .dropdown-item {
  padding: 5px 16px;
  display: flex;
  align-items: center;
  gap: 10px;
  width: 100%;
  text-decoration: none;
  color: var(--cor-primaria);
  cursor: pointer;
  font-weight: bold;
  border: none;
  background: none;
  font-size: 15px;
}

barra-de-navegacao .dropdown-item:hover {
  background-color: var(--cor-primaria-hover-claro);
  color: var(--cor-primaria);
}

barra-de-navegacao #btn-login-desktop {
  display: flex;
  align-items: center;
  gap: 5px;
  position: relative;
}

barra-de-navegacao #dropdown-usuario-mobile,
barra-de-navegacao #btn-pesquisa-mobile {
  display: none;
  text-wrap: nowrap;
}

barra-de-navegacao i {
  -webkit-text-stroke: 1px var(--cor-primaria);
  color: var(--cor-primaria);
  font-size: 25px;
}

barra-de-navegacao #dropdown-usuario-desktop {
  display: block;
  list-style: none;
  position: absolute;
  top: 60px;
  right: 10px;
  background-color: var(--cor-texto-claro);
  border: 1px solid var(--cor-sombra);
  border-radius: 0.25rem;
  min-width: 10rem;
  z-index: 1000;
}

@media (min-width: 601px) {
  barra-de-navegacao #collapse-pesquisa.show {
    display: none;
    animation: none;
  }
}

@media (max-width: 600px) {
  barra-de-navegacao #btn-pesquisa-mobile,
  barra-de-navegacao #dropdown-usuario-mobile {
    display: block;
  }
  barra-de-navegacao #barra-pesquisa-desktop,
  barra-de-navegacao #btn-login-desktop {
    display: none;
  }
}

@media (max-width: 1200px) {
  barra-de-navegacao #dropdown-usuario-mobile {
    display: flex;
  }

  barra-de-navegacao #btn-login-desktop,
  barra-de-navegacao #dropdown-usuario-desktop {
    display: none;
  }
}

@media (min-width: 1201px) {
  barra-de-navegacao #menu-usuario-mobile,
  barra-de-navegacao #dropdown-usuario-mobile {
    display: none;
  }

  barra-de-navegacao #dropdown-usuario-desktop {
    display: block;
  }
}

@keyframes slideFromTop {
  from {
    transform: translateY(-100%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes slideToTop {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-150%);
  }
}
